petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCGalerkinSetInterpolation

Sets the interpolation operator for the "Galerkin-type" preconditioner

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCGalerkinSetInterpolation(PC pc,Mat P)

Logically Collective on PC

### Input Parameter

| pc | - the preconditioner context
| R | - the interpolation operator

Notes: Either this or PCGalerkinSetRestriction() or both must be called

### Keywords

PC, set, Galerkin preconditioner

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PCGALERKIN,
PCGalerkinSetRestriction(), PCGalerkinGetKSP()

Level:Intermediate
Location:src/ksp/pc/impls/galerkin/galerkin.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages